Subject: Re: FW: submitting draft-ietf-atommib-opticalmib-07.txt to IESG

From: "C. M. Heard" <[email-masked]>
Date: Sun, 5 Jan 2003 12:38:08 -0800 (PST)

On Sat, 28 Dec 2002, Wijnen, Bert (Bert) wrote:

> Of course... since we live in such a dynamic world, we have:
> 
> - MIB boilerplate is now out of date because of new SNMPv3 RFCs
>   (I think [we] could do it with an RFC-Editor note if needed)
> - some other SNMP references may need updating
>   (would beed to check detail)
> - MIB [copyright] statement to be added to DESCRIPTION of MODULE-IDENTITY
>   ( but RFC-Editor has instruction how to do it) 

We discussed those before, but now I notice a couple of other things:

- WG mailing list info should be added to CONTACT-INFO of MODULE-IDENTITY
- WG name in the ORGANIZATION clause should be AToM MIB (not AToMMIB)

This could be copied from the recent 2493bis and 2558bis updates.

> - while we are trying to agree on the new Security Guidelines for
>   MIB documents, we may want to update this one too.

The recent 2558bis update has this too and can serve as a model.

//cmh

---

From: "Lam, Hing-Kam (Kam)" <[email-masked]>
Date: Mon, 6 Jan 2003 10:13:11 -0500

Thanks to Bert's review and the subsequent additional input from Mike and Bert (on 12/28, 12/29, & 1/5).
I agree with the conclusion from those discussion. Here is the list of update I plan to make to produce a -08 version.
If I don't recieve additional comments, I will update the mib shortly and upload it.

(1):
Replace section 2 "The SNMP Management Framework" by a 
new section 2 "The Internet-Standard Management Framework" with the text from the 
new mib-boilerplate at http://www.ops.ietf.org/mib-boilerplate.html

(2):
Replace RFC 2570 with RFC 3410 as an informative reference, 
Replace RFC 1907 with RFC 3418 as a normative reference,
Remove RFCs 2570-2575, 1901, 1905, 1906, 1155, 1157, 1212, 1215 .  
Replace [SENSOR-MIB] with RFC 3433 and remove the related RFC Ed note.

(3):
Add the following paragraph to the DESCRIPTION clause of MODULE-IDENTITY

        Copyright (C) The Internet Society (2003).  This version
        of this MIB module is part of RFC yyyy;  see the RFC
        itself for full legal notices."
-- RFC Ed.: replace yyyy with actual RFC number & remove this notice.

(4):
Remove the OptIfTIMActEnabled TC.
Use the TrueValue TC directly in the following OBJECT-TYPE definitions:

optIfOTSnTIMActEnabled
optIfOTUkTIMActEnabled
optIfODUkTtpTIMActEnabled
optIfODUkNimTIMActEnabled
optIfODUkTTIMActEnabled
optIfODUkTNimTIMActEnabled

(5):
Update section 6 "Security Considerations" with material from the new Security Guidelines.

(6):
Add WG mailing list info (i.e., [email-masked]) 
to CONTACT-INFO of MODULE-IDENTITY
Change WG name in the ORGANIZATION clause to AToM MIB

Regards,
Kam